Subject: Re: IPP> Delay of IPP ratification

From: [email-masked] (Robert Herriot)
Date: Fri, 9 Jan 1998 13:03:12 -0800

I agree with Paul that we should spend some time looking at XML before 
we commit to the current protocol.  XML is becoming an important protocol.

Bob Herriot

> From [email-masked] Fri Jan  9 10:42:58 1998
> From: Paul Moore <[email-masked]>
> To: "[email-masked]'" <[email-masked]>
> Subject: IPP> Delay of IPP ratification
> Date: Fri, 9 Jan 1998 10:21:33 -0800 
> X-Mailer: Internet Mail Service (5.5.1960.3)
> Sender: [email-masked]
> Content-Length: 942
> X-Lines: 19
> 
> This is a formal request that we delay the finalization of the IPP spec
> until we have looked at the possibility of using XML as the protocol format.
> 
> I know this is revisiting an old issue but we need to make sure we do the
> right thing. When the current format was proposed there was no good method
> for representing structured data in an ASCII data stream. XML is now
> available and seem to be the coming wave. I also know that most of the new
> standards that will come out over the next year will be based around XML
> (and protocol specific HTTP commands). By ensuring that we are in the centre
> of these standards we will be able to leverage many common tools that will
> emerge to support and manage these protocols.
> 
> There will definitely be down-sides so we need to debate this issue - not
> least the investment that some of us have already made in building using the
> current spec.
> 
> I think that somebody from MS will be in Hawaii.
> 
> Paul Moore
>

---

From: Jay Martin <[email-masked]>
Date: Fri, 09 Jan 1998 17:05:51 -0500

Bob and Paul,

Care to elucidate on the merits and applicability of XML to the IPP
model?  Any known/expected problems in mapping?  Any particular
benefits over alternative approaches?

Perhaps most importantly, exactly *why* should XML even be
considered in the first place?

Bob says that "XML is becoming an important protocol."  We can all
think of lots of emerging protocols that may be viewed as important,
but are they applicable to network printing?  How and why is XML
applicable to a network printing protocol?

Please understand that I am not casting any kind of early vote
against XML here.  Just trying to figure out why XML has suddenly
entered the fray.

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

---

From: Ron Bergman <[email-masked]>
Date: Fri, 9 Jan 1998 15:37:53 -0800 (Pacific Standard Time)

I would like to echo some of the points presented by Jay.

I thought that XML was a presentation layer protocol developed as the next
generation HTML.  Does XML include functionality beyond the presentation
layer?

If not, why would XML be any different than PostScript, PCL or HTML?

Can anyone provide the URL to the current XML specification or tutorial
for those persons (such as myself) who are not very knowledgeable
regarding XML?  I would like to be somewhat prepared if this does become a
discussion topic in Maui.

	Ron Bergman
	Dataproducts Corp.